/* CSS Document */
.popular-destination__element {
  position: absolute;
  right: 0;
  top: 20%;
  animation: topToBottomsubdep 3.5s ease-in-out infinite;
  z-index: -1;
}
.popular-destination__element::after {
  top: 0;
  content: "";
  position: absolute;
  width: 390px;
  height: 390px;
  background: var(--gotur-base, #63AB45);
  filter: blur(150px);
  z-index: -1;
}
@keyframes topToBottomsubdep {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(15px);
  }
  100% {
    transform: translateY(0);
  }
}
 .cards-container {
        display: flex;
    justify-content: flex-start;
        flex-wrap: wrap;
        gap: 30px;
	 padding-left: 2%; /* optional */
    }

    .sudepartcards {
        position: relative;
        width: 300px;
        text-align: center;
        cursor: pointer;
        transition: all 0.3s ease;
		
    }

    .sudepartcards img {
        width: 100%;
        height: 380px;
        object-fit: cover;
        border-radius: 135px 0px 135px 135px;
        border: 4px solid transparent;
        transition: all 0.4s ease;
    }

    .sudepartcards:hover img {
        border-color: var(--primary-color); /* yellow border */
        border-radius: 50px;
        transform: scale(1.02);
    }

    .sudepartoverlayCard {
        position: absolute;
        bottom: 130px;
        left: 50%;
        transform: translate(-50%, 50%) scale(0);
        background-color: var(--primary-color);
        color: white;
        padding: 6px 15px;
        border-radius: 20px;
        font-weight: 600;
        font-size: 13px;
        box-shadow: 0 4px 10px rgba(0,0,0,0.2);
        transition: all 0.3s ease;
		z-index: 10
    }

    .sudepartcards:hover .sudepartoverlayCard {
        transform: translate(-50%, 2%) scale(1);
    }

    .sudepartcards h2 {
        margin-top: 15px;
        font-size: 40px;
        color: var(--primary-color);
        position: relative;
        display: inline-block;
		font-family: "Just Another Hand", serif;
		font-weight: 400
    }

    .sudepartcards h2::after {
        content: '';
        position: absolute;
        left: 0;
        bottom: -6px;
        width: 0;
        height: 3px;
        background-color: #f7b500;
        transition: width 0.3s ease;
    }

    .sudepartcards:hover h2::after {
        width: 100%;
    }
@media (max-width: 768px) {

.cards-container {
        display: flex;
    justify-content:center;
        flex-wrap: wrap;
        gap: 30px;
	 padding-left: 2%; /* optional */
    }
}
